package com.lukouguoji.gjj.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gjj.R
import com.lukouguoji.gjj.databinding.ActivityIntImpQueryEditBinding
import com.lukouguoji.gjj.viewModel.IntImpQueryEditViewModel
import com.lukouguoji.module_base.base.BaseBindingActivity

/**
 * 国际进港运单修改页面
 */
class IntImpQueryEditActivity :
    BaseBindingActivity<ActivityIntImpQueryEditBinding, IntImpQueryEditViewModel>() {

    override fun layoutId() = R.layout.activity_int_imp_query_edit

    override fun viewModelClass() = IntImpQueryEditViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国际进港运单修改")
        binding.viewModel = viewModel
        viewModel.initOnCreated(intent)
    }

    companion object {
        @JvmStatic
        fun start(context: Context, maWbId: Long?, prefix: String?, no: String?) {
            val starter = Intent(context, IntImpQueryEditActivity::class.java)
                .putExtra("maWbId", maWbId ?: 0L)
                .putExtra("prefix", prefix ?: "")
                .putExtra("no", no ?: "")
            context.startActivity(starter)
        }
    }
}
